package com.alterdekim.game.repository;

import com.alterdekim.game.entity.GoodMagic;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface GoodMagicRepository extends JpaRepository<GoodMagic, Long> {
    Optional<GoodMagic> findById(Long id);

    List<GoodMagic> findAll();
}
