package com.alterdekim.game.entity;

import com.alterdekim.flash.decompiler.mapper.FlashClass;
import com.alterdekim.flash.decompiler.mapper.FlashValue;
import com.alterdekim.flash.decompiler.mapper.FlashValueType;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.*;

@ToString
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name="ga_account")
@FlashClass(name = "ga")
public class GAAccount {
    @Id
    @FlashValue(type = FlashValueType.Id)
    private Long id;

    @FlashValue(type = FlashValueType.Value)
    @Column(nullable = false)
    private String value;
}
