package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.PriceLicense;
import com.alterdekim.game.repository.PriceLicenseRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PriceLicenseService implements OutputObjectCallback {
    @Autowired
    private PriceLicenseRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((PriceLicense) o);
    }
}
